Page MenuHomePhabricator

Make It Possible to import function-schemata utils, not just require()
Open, LowestPublic

Description

Description

We currently have some duplicated code in the JS executor. We could avoid this by exporting function-schemata utils, rather than module.exports-ing (standard JS vs. Node). If this causes problems for other services, we can capture the imported dependencies via rollup.js.

Desired behavior/Acceptance criteria (returned value, expected error, performance expectations, etc.)

  • duplicated function-schemata utils functions are no longer duplicated

Completion checklist

Details

TitleReferenceAuthorSource BranchDest Branch
Draft: Remove require() from es6UtilsModule; change file extension to .mjs.repos/abstract-wiki/wikifunctions/function-schemata!103apineapine-normalize-importmain
Draft: Use functions from shared utils rather than re-implementing.repos/abstract-wiki/wikifunctions/function-evaluator!192apineapine-use-utilsmain
Update package-lock with moved function-schemata dependencies.repos/abstract-wiki/wikifunctions/function-evaluator!191apineapine-package-lockmain
Move function-schemata to javascript-wasmedge subdir.repos/abstract-wiki/wikifunctions/function-evaluator!187apineapine-move-function-schematamain
Update function-schemata sub-module to HEAD (04c5c89)repos/abstract-wiki/wikifunctions/wikilambda-cli!32jforrestersync-function-schematamain
Update function-schemata sub-module to HEAD (04c5c89)repos/abstract-wiki/wikifunctions/function-evaluator!171jforrestersync-function-schematamain
Update function-schemata sub-module to HEAD (04c5c89)repos/abstract-wiki/wikifunctions/function-orchestrator!137jforrestersync-function-schematamain
Fix commonJsUtils.js to actually be CJS and ES6repos/abstract-wiki/wikifunctions/function-schemata!89jforresterfix-0c9395ca5539e4f4181ebcc41abb26f3a1a5eb84main
Update function-schemata sub-module to HEAD (786c586)repos/abstract-wiki/wikifunctions/wikilambda-cli!30jforrestersync-function-schematamain
Update function-schemata sub-module to HEAD (786c586)repos/abstract-wiki/wikifunctions/function-evaluator!163jforrestersync-function-schematamain
[UNBREAKING CHANGE] Update function-schemata sub-module to HEAD (786c586)repos/abstract-wiki/wikifunctions/function-orchestrator!134jforrestersync-function-schematamain
Implement a stable stringify algorithm (keys are always sorted).repos/abstract-wiki/wikifunctions/function-schemata!87apineapine-implement-stable-stringifymain
Move ZObjectKeyFactory to utils so it can be used by downstream consumers.repos/abstract-wiki/wikifunctions/function-schemata!86apineapine-move-key-factorymain
Allow utils to be imported and required as both ES6 and CommonJS.repos/abstract-wiki/wikifunctions/function-schemata!85apineapine-importsmain
Show related patches Customize query in GitLab

Event Timeline

Jdforrester-WMF moved this task from To triage to Backlog on the Abstract Wikipedia team board.
cmassaro changed the task status from Open to In Progress.Feb 7 2024, 12:55 AM
cmassaro claimed this task.
cmassaro removed cmassaro as the assignee of this task.
cmassaro moved this task from Backlog to In Progress on the Abstract Wikipedia team board.
cmassaro moved this task from In Progress to Backlog on the Abstract Wikipedia team board.
Jdforrester-WMF changed the task status from In Progress to Open.Feb 8 2024, 4:00 PM
cmassaro changed the task status from Open to In Progress.Feb 9 2024, 3:13 PM
cmassaro moved this task from Backlog to In Progress on the Abstract Wikipedia team board.

Change 1002570 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/extensions/WikiLambda@master] Update function-schemata sub-module to HEAD (786c586)

https://gerrit.wikimedia.org/r/1002570

Change 1002624 had a related patch set uploaded (by Jforrester; author: Jforrester):

[operations/deployment-charts@master] wikifunctions: Upgrade orchestrator from 2024-01-18-182456 to 2024-02-12-155846

https://gerrit.wikimedia.org/r/1002624

Change 1002625 had a related patch set uploaded (by Jforrester; author: Jforrester):

[operations/deployment-charts@master] wikifunctions: Upgrade evaluators from 2024-01-18-182630 to 2024-02-12-160222

https://gerrit.wikimedia.org/r/1002625

Change 1002624 merged by jenkins-bot:

[operations/deployment-charts@master] wikifunctions: Upgrade orchestrator from 2024-01-18-182456 to 2024-02-12-155846

https://gerrit.wikimedia.org/r/1002624

Change 1002625 merged by jenkins-bot:

[operations/deployment-charts@master] wikifunctions: Upgrade evaluators from 2024-01-18-182630 to 2024-02-12-160222

https://gerrit.wikimedia.org/r/1002625

Change 1007353 had a related patch set uploaded (by Jforrester; author: Jforrester):

[operations/deployment-charts@master] wikifunctions: Upgrade evaluators from 2024-02-12-160222 to 2024-02-26-150300

https://gerrit.wikimedia.org/r/1007353

Change 1007353 merged by jenkins-bot:

[operations/deployment-charts@master] wikifunctions: Upgrade evaluators from 2024-02-12-160222 to 2024-02-26-150300

https://gerrit.wikimedia.org/r/1007353

Change 1008874 had a related patch set uploaded (by Jforrester; author: Jforrester):

[operations/deployment-charts@master] wikifunctions: Upgrade orchestrator from 2024-02-26-150614 to 2024-03-05-140533

https://gerrit.wikimedia.org/r/1008874

Change 1008874 merged by jenkins-bot:

[operations/deployment-charts@master] wikifunctions: Upgrade orchestrator from 2024-02-26-150614 to 2024-03-05-140533

https://gerrit.wikimedia.org/r/1008874

Change 1002570 merged by jenkins-bot:

[mediawiki/extensions/WikiLambda@master] Update function-schemata sub-module to HEAD (97ea4cd)

https://gerrit.wikimedia.org/r/1002570

Change #1017061 had a related patch set uploaded (by Jforrester; author: Jforrester):

[operations/deployment-charts@master] wikifunctions: Upgrade evaluators from 2024-02-26-150300 to 2024-04-03-210033

https://gerrit.wikimedia.org/r/1017061

Change #1017061 merged by jenkins-bot:

[operations/deployment-charts@master] wikifunctions: Upgrade evaluators from 2024-02-26-150300 to 2024-04-03-210033

https://gerrit.wikimedia.org/r/1017061

Jdforrester-WMF changed the task status from In Progress to Open.Mon, Apr 29, 6:03 PM
Jdforrester-WMF moved this task from In Progress to Backlog on the Abstract Wikipedia team board.